package com.cultural.heritage.model.vo.book;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class BookingDateVO implements Serializable {


    /**
     * 预约日期表
     */
    private Long id;


    /**
     * 预约具体日期
     */
    private String specificDate;


    /**
     * 时间段
     */
    private String timeSlot;


    /**
     * 是否可预约
     */
    private Integer isAvailable;


    /**
     * 各个时间段的最大预约人数(4,6..)
     */
    private String maxNumber;


    /**
     * 预约类别
     */
    private String type;




    @Serial
    private static final long serialVersionUID = 1L;
}
