package com.cultural.heritage.model.vo.good;

import com.cultural.heritage.model.entity.AppointmentDate;
import com.cultural.heritage.model.entity.Good;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

@Data
public class ServiceGoodVO extends Good implements Serializable {


    /**
     * 未来几天的预约详情
     */
    @Schema(description = "未来几天的预约详情")
    private List<AppointmentDate> appointmentDateList;


    @Serial
    private static final long serialVersionUID = 1L;
}
