package com.cultural.heritage.service.address;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cultural.heritage.model.entity.Contacts;

import java.util.List;

public interface ContactsService extends IService<Contacts> {
    /**
     * 校验是否添加或更新了默认联系人
     */
    void verifyIsDefault(Contacts contacts);


    /**
     * 根据userId获取用户联系人
     */
    List<Contacts> getUserContactsById(Long id);


    /**
     * 校验用户提交的地址信息
     */
    void validContacts(Contacts contacts, boolean update);
}
